Bug 1240376 (php-guzzlehttp-psr7) - Review Request: php-guzzlehttp-psr7 - PSR-7 message implementation
Summary: Review Request: php-guzzlehttp-psr7 - PSR-7 message implementation
Keywords:
Status: CLOSED ERRATA
Alias: php-guzzlehttp-psr7
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1239252
TreeView+ depends on / blocked
 
Reported: 2015-07-06 17:53 UTC by Shawn Iwinski
Modified: 2015-08-05 05:32 UTC (History)
2 users (show)

Fixed In Version: php-guzzlehttp-psr7-1.1.0-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:13:46 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (22.46 KB, text/plain)
2015-07-15 07:27 UTC, Remi Collet
no flags Details
review.txt (6.42 KB, text/plain)
2015-07-15 07:27 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2015-07-06 17:53:03 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/14fd6bd0e77dfc8e5969c5ddb10485b4981a6d79/php-guzzlehttp-psr7/php-guzzlehttp-psr7.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-guzzlehttp-psr7-1.1.0-1.fc22.src.rpm

Description:
PSR-7 message implementation, several stream decorators, and some helpful
functionality like query string parsing.


Fedora Account System Username: siwinski

-----

New dependency of php-guzzlehttp-guzzle 6

Comment 1 Shawn Iwinski 2015-07-06 23:05:52 UTC
Also a new dependency of php-aws-sdk 3

Comment 2 Shawn Iwinski 2015-07-06 23:05:52 UTC
Also a new dependency of php-aws-sdk 3

Comment 5 Remi Collet 2015-07-15 07:27:10 UTC
Created attachment 1052222 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 13 2015 09:14:16 CEST static analyze results

Comment 6 Remi Collet 2015-07-15 07:27:37 UTC
Created attachment 1052223 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04

Comment 7 Remi Collet 2015-07-15 07:28:50 UTC
PErhaps better to use full patch for symfony

-        require_once 'Symfony/Component/ClassLoader/ClassLoader.php';
+        require_once '%{phpdir}/Symfony/Component/ClassLoader/ClassLoader.php';


Everything looks good.
No blocker

=== APPROVED ===

Comment 8 Shawn Iwinski 2015-07-15 17:05:58 UTC
(In reply to Remi Collet from comment #7)
> PErhaps better to use full patch for symfony
> 
> -        require_once 'Symfony/Component/ClassLoader/ClassLoader.php';
> +        require_once
> '%{phpdir}/Symfony/Component/ClassLoader/ClassLoader.php';

Thanks for catching that.  I knew I had a few non-full paths in autoloaders out there :/  I'll update after initial import. 



New Package SCM Request
=======================
Package Name: php-guzzlehttp-psr7
Short Description: PSR-7 message implementation
Upstream URL: https://github.com/guzzle/psr7
Owners: siwinski
Branches: f21 f22 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2015-07-15 17:37:44 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-07-19 21:23:42 UTC
php-guzzlehttp-psr7-1.1.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-guzzlehttp-psr7-1.1.0-3.fc21

Comment 11 Fedora Update System 2015-07-19 21:23:47 UTC
php-guzzlehttp-psr7-1.1.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-guzzlehttp-psr7-1.1.0-3.fc22

Comment 12 Fedora Update System 2015-07-19 21:24:58 UTC
php-guzzlehttp-psr7-1.1.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-guzzlehttp-psr7-1.1.0-3.el7

Comment 13 Fedora Update System 2015-07-20 19:48:04 UTC
php-guzzlehttp-psr7-1.1.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 14 Fedora Update System 2015-07-30 01:13:46 UTC
php-guzzlehttp-psr7-1.1.0-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2015-07-30 01:17:28 UTC
php-guzzlehttp-psr7-1.1.0-3.fc22 has been pushed to the Fedora 22 stable repository.

Comment 16 Fedora Update System 2015-08-05 05:32:07 UTC
php-guzzlehttp-psr7-1.1.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.